%define module  django-robots
# comment out when not pre-release
#define prel    rc4

%define rel     2

Name:           python-%{module}
Version:        5.0
Release:        %mkrel %{?prel:0.%prel.}%{rel}.2
Summary:        Robots exclusion application for Django, complementing Sitemaps
Group:          Development/Python
License:        BSD
URL:            https://github.com/jezdez/django-robots/
Source0:        https://pypi.io/packages/source/d/%{module}/%{module}-%{version}%{?prel}.tar.xz
BuildArch:      noarch
# for docs generation
BuildRequires:  gettext


%description
Django application to manage robots.txt files following the robots exclusion
protocol, complementing the Django Sitemap contrib app.

#---------------------------------------------------------------------------

%package -n     python3-%{module}
Summary:        Robots exclusion application for Django, complementing Sitemaps
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-django
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Django application to manage robots.txt files following the robots exclusion
protocol, complementing the Django Sitemap contrib app.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}%{?prel}

# Remove bundled egg-info
rm -rf django_robots.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%{python3_sitelib}/robots/*py*
%{python3_sitelib}/robots/migrations/*py*
%{python3_sitelib}/robots/south_migrations/
%{python3_sitelib}/robots/templates/
%{python3_sitelib}/django_robots-%{version}%{?prel}-py%{python3_version}.egg-info
# locale files
%lang(da) %{python3_sitelib}/robots/locale/da/LC_MESSAGES/django.?o
%lang(de) %{python3_sitelib}/robots/locale/de/LC_MESSAGES/django.?o
%lang(el) %{python3_sitelib}/robots/locale/el/LC_MESSAGES/django.?o
%lang(en) %{python3_sitelib}/robots/locale/en/LC_MESSAGES/django.?o
%lang(es_ES) %{python3_sitelib}/robots/locale/es_ES/LC_MESSAGES/django.?o
%lang(fr) %{python3_sitelib}/robots/locale/fr/LC_MESSAGES/django.?o
%lang(it) %{python3_sitelib}/robots/locale/it/LC_MESSAGES/django.?o
%lang(ja) %{python3_sitelib}/robots/locale/ja/LC_MESSAGES/django.?o
%lang(nl) %{python3_sitelib}/robots/locale/nl/LC_MESSAGES/django.?o
%lang(pt_BR) %{python3_sitelib}/robots/locale/pt_BR/LC_MESSAGES/django.?o
%lang(ru) %{python3_sitelib}/robots/locale/ru/LC_MESSAGES/django.?o
%lang(sk) %{python3_sitelib}/robots/locale/sk/LC_MESSAGES/django.?o
%lang(uk) %{python3_sitelib}/robots/locale/uk/LC_MESSAGES/django.?o


%changelog
* Fri Aug 05 2022 tex - 5.0-2.1pclos2022
- new version

